RT_SIGPROCMASK(2)

NAME
rt_sigprocmask - Change the list of currently blocked signals

SYNOPSIS

long sys_rt_sigprocmask (sigset_t *set, sigset_t *oset, size_t sigsetsize);

DESCRIPTION

rt_sigprocmask changes the list of currently blocked signals. The set value stores the signal mask of the pending signals. The previous action on the signal is saved in oact. The value of how indicates how the call should behave; its values are as follows:

SIG_BLOCK
    The set of blocked signals is the union of the current set and the set argument.

SIG_UNBLOCK
    The signals in set are removed from the current set of blocked signals. It is okay to unblock a signal that is not blocked.

SIG_SETMASK
    The set of blocked signals is set to the set argument. sigsetsize should indicate the size of a sigset_t type.

RETURN VALUE

rt_sigprocmask returns 0 on success; otherwise, rt_sigprocmask returns one of the errors listed in the "Errors" section.

ERRORS

-EINVAL
    sigsetsize was not equivalent to the size of a sigset_t type.

-EFAULT
    An invalid set, act, or oact was specified.

SEE ALSO

rt_sigaction(2), rt_sigpending(2), rt_sigqueueinfo(2), rt_sigreturn(2), rt_sigsuspend(2), rt_sigtimedwait(2)

AUTHOR
Niki Rahimi